### Enumeration

# Clutter InputDeviceType

#### Declaration

    enum Clutter.InputDeviceType

#### Description [src]

The types of input devices available.

The `ClutterInputDeviceType` enumeration can be extended at later date; not every platform supports every input device type.

#### Members

`CLUTTER_POINTER_DEVICE`

  A pointer device.

  - Value: `0`
  - Available since: 14
`CLUTTER_KEYBOARD_DEVICE`

  A keyboard device.

  - Value: `1`
  - Available since: 14
`CLUTTER_EXTENSION_DEVICE`

  A generic extension device.

  - Value: `2`
  - Available since: 14
`CLUTTER_JOYSTICK_DEVICE`

  A joystick device.

  - Value: `3`
  - Available since: 14
`CLUTTER_TABLET_DEVICE`

  A tablet device.

  - Value: `4`
  - Available since: 14
`CLUTTER_TOUCHPAD_DEVICE`

  A touchpad device.

  - Value: `5`
  - Available since: 14
`CLUTTER_TOUCHSCREEN_DEVICE`

  A touch screen device.

  - Value: `6`
  - Available since: 14
`CLUTTER_PEN_DEVICE`

  A pen device.

  - Value: `7`
  - Available since: 14
`CLUTTER_ERASER_DEVICE`

  An eraser device.

  - Value: `8`
  - Available since: 14
`CLUTTER_CURSOR_DEVICE`

  A cursor device.

  - Value: `9`
  - Available since: 14
`CLUTTER_PAD_DEVICE`

  A tablet pad.

  - Value: `10`
  - Available since: 14
`CLUTTER_N_DEVICE_TYPES`

  The number of device types.

  - Value: `11`
  - Available since: 14